@keyframes toBW {
    from {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }

    to {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }
}

@-o-keyframes toBW {
    from {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }

    to {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }
}

@-moz-keyframes toBW {
    from {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }

    to {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }
}

@-webkit-keyframes toBW {
    from {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }

    to {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }
}

@keyframes toColour {
    from {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }

    to {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }
}

@-o-keyframes toColour {
    from {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }

    to {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }
}

@-moz-keyframes toColour {
    from {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }

    to {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }
}

@-webkit-keyframes toColour {
    from {
        filter: grayscale(100%);
        -webkit-filter: grayscale(100%);
    }

    to {
        filter: grayscale(0%);
        -webkit-filter: grayscale(0%);
    }
}

.anim {
    &__greyscale {
        &--bw {
            animation: toBW ease-out 1s 1 forwards;
            -webkit-animation: toBW ease-out 1s 1 forwards;
            -moz-animation: toBW ease-out 1s 1 forwards;
            -o-animation: toBW ease-out 1s 1 forwards;
        }

        &--colour {
            animation: toColour ease-in 0.45s 1 reverse forwards;
            -webkit-animation: toColour ease-in 0.45s 1 reverse forwards;
            -moz-animation: toColour ease-in 0.45s 1 reverse forwards;
            -o-animation: toColour ease-in 0.45s 1 reverse forwards;
        }
    }
}